Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002106 [DCSS] FR: Other minor have not tried 2010-07-28 00:44 2015-06-04 21:26
Reporter OG17 View Status public  
Assigned To wheals
Priority normal Resolution done  
Status resolved   Product Branch 0.8 ancient branch
Summary 0002106: ?/ should show everything that inspecting an item does
Description As an example, ?/ "demon trident" only gives you the flavor line and accuracy/damage/speed. Looking at an actual weapon provides far more information, such as weapon type, handedness, favored stats, racial bonuses, enchantment capacity, and weight.

?/ should convey all of information that inspecting the physical item does, as omitting large swathes of it takes most of the value out of having a lookup feature in the first place, as players end up turning to out-of-game sources. Someone that goes to the trouble of manually looking something up wants a full description, not the superficial abridged version.

The following might not be complete, but non-weapon item lookup entries seem much more comprehensive, though they're lacking enchantments and weight. Monsters have most properties, but they're all missing MR, and "templates" like zombies are missing everything but basic flavor. Spell, skill, feature, and ability lookup seem complete, and gods are pretty good (except when they're bugged to show nothing, as in 1145). Branches are missing depth ranges, and cards are pretty vague.
Additional Information
Tags No tags attached.
Attached Files

- Relationships
has duplicate 0009198resolvedwheals looking up weapons via lookup descrition doesn't show handedness 

-  Notes
(0006636)
MrMisterMonkey (reporter)
2010-07-28 01:50

Similarly, it would be nice if looking up a spell displayed castability and power for the current character.
(0007022)
jpeg (manager)
2010-08-09 13:39

Agreed, on both accounts, though the former is probably easier to add.
(0029128)
wheals (administrator)
2015-06-04 21:26
edited on: 2015-06-04 21:26

Done in https://github.com/crawl/crawl/commit/8d00a4a1e123. [^]

Monsters gained MR at some point, and spells castability (I suspect both thanks to PleasingFungus). Branches now have their ranges, and cards have fairly detailed descriptions now.


- Issue History
Date Modified Username Field Change
2010-07-28 00:44 OG17 New Issue
2010-07-28 01:50 MrMisterMonkey Note Added: 0006636
2010-08-09 13:39 jpeg Note Added: 0007022
2014-11-17 00:11 wheals Relationship added has duplicate 0009198
2015-06-04 21:26 wheals Note Added: 0029128
2015-06-04 21:26 wheals Status new => resolved
2015-06-04 21:26 wheals Fixed in Branch => 0.16 pre-release branch
2015-06-04 21:26 wheals Resolution open => done
2015-06-04 21:26 wheals Assigned To => wheals
2015-06-04 21:26 wheals Note Edited: 0029128


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker